What are OnSign TV basic requirements?

In order to show content, you need to install OnSign TV Player App in each device you want to show signage content. The app is supported on the following operating systems:

  • Android: 4.4 and above.
  • Windows: 7 and above.
  • Mac OS: OSX 10.10 – Yosemite and above.
  • Linux: x86 based CPU, Ubuntu 16.04 or 18.04, 2Gb RAM
  • Chrome OS: version 57 or higher.
  • Samsung SSP: version 2, 3, 4 and 5.
  • LG webOS: version 2.0, 3.0, 3.2 and 4.0.
  • Bright Sign: version 5, 6 and 7.

OnSign TV doesn't support Raspberry Pi nor iOS. Check more information in our downloading page